+++
title = "ラム (ramu)"
description = "Una aplicación web para practicar la lectura y comprensión auditiva de números en japonés."
weight = 35

[taxonomies]
tags = ["Japonés", "interactivo", "web app", "web", "PWA", "JavaScript"]

[extra]
local_image = "projects/ramu/ramu_logo.webp"
canonical_url = "https://osc.garden/es/projects/ramu/"
social_media_card = "social_cards/projects_ramu.jpg"
+++

<ruby>ラ<rt>ra</rt>ム<rt>mu</rt></ruby> es una aplicación web progresiva para practicar la lectura y comprensión auditiva de números en japonés. El nombre refleja su propósito: lograr acceso aleatorio (RAM; memoria de acceso aleatorio) a los números, en contraposición a una memoria secuencial (1, 2, 3…).

{% wide_container() %}
<video controls src="media/ラム_demo.mp4" title="demo de ramu"></video>
{% end %}

#### [Pruébala ahora](https://ramu.osc.garden) • [GitHub](https://github.com/welpo/ramu) • [Artículo](https://osc.garden/es/blog/ramu-japanese-numbers-practice-web-app/) {.centered-text}

## Características

- Práctica con números arábigos (123…) y japoneses (一二三…)
- Dos modos de práctica: lectura y comprensión auditiva
- Rangos numéricos configurables (desde 0 hasta más de 100.000.000)
- Práctica de contadores (個、本、匹…)
- Funciona sin conexión como aplicación web progresiva
- Control por teclado (<kbd>espacio</kbd>/<kbd>→</kbd> para siguiente, <kbd>esc</kbd> para detener)
- Compatible con lectores de pantalla para la práctica con números arábigos

[![tarjeta social de ramu](social_cards/projects_ramu.jpg)](https://ramu.osc.garden)
